/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglExpression.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


public abstract class AglExpression extends AglObjet
{
  private static AglCode CODE=new AglCodeJava();

  public final String toString()
  {
    String r=getClass().getName().toUpperCase();
    int i;
    i=r.lastIndexOf('.');
    if(i>=0) r=r.substring(i+1);
    i=r.lastIndexOf("AGL");
    if(i>=0) r=r.substring(i+3);
    if(r.startsWith("EXPRESSION"))
	r="EXPRESSION_"+r.substring(10);

    r+="(";
    try
    {
      r+=CODE.code(this).trim();
      i=r.indexOf('\n');
      if(i>=0) r=r.substring(0,i);
      if(r.length()>50) r=r.substring(0,47)+"...";
    }
    catch(Throwable th) { }
    r+=")";
    return r;
  }

  public AglType guessType() { return null; }
}
