/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglExpressionGenerique.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;

public class AglExpressionGenerique extends AglExpression
{
  public String     body;
  public AglLiteral literal;

  // yapod
  public AglExpressionGenerique()
  {
    this("<<code>>",null);
  }

  public AglExpressionGenerique(String _texte)
  {
    this(_texte,null);
  }

  public AglExpressionGenerique(String _texte, AglLiteral _literal)
  {
    body   =_texte;
    literal=_literal;
  }

  public AglType guessType()
  {
    return (literal==null ? null : literal.guessType());
  }
}
