/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglExpressionNew.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


import java.util.*;

public class AglExpressionNew extends AglExpression
{
  public AglType    type;
  public AglVecteur arguments;

  // yapod
  public AglExpressionNew()
  {
    this(AglTypePrimitif.tvoid);
  }

  public AglExpressionNew(AglType _type)
  {
    type=_type;
    arguments=new AglVecteur();
  }

  public AglType guessType()
  {
    return type;
  }
}
