/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglExpressionTernaire.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


public class AglExpressionTernaire extends AglExpression
{
  public AglExpression gauche;
  public String        operateur1;
  public AglExpression milieu;
  public String        operateur2;
  public AglExpression droite;

  // yapod
  public AglExpressionTernaire()
  {
    this(null,"<<operateur>>",null,"<<operateur>>",null);
  }

  public AglExpressionTernaire
  (AglExpression _gauche, String _operateur1,
   AglExpression _milieu, String _operateur2,
   AglExpression _droite)
  {
    gauche    =_gauche;
    operateur1=_operateur1;
    milieu    =_milieu;
    operateur2=_operateur2;
    droite    =_droite;
  }
}

