/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglExpressionTypage.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;

public class AglExpressionTypage extends AglExpression
{
  public AglType       type;
  public AglExpression expression;

  // yapod
  public AglExpressionTypage()
  {
    this(AglTypePrimitif.tvoid,null);
  }

  public AglExpressionTypage(AglType _type, AglExpression _expression)
  {
    type      =_type;
    expression=_expression;
  }

  public AglType guessType()
  {
    return type;
  }
}

