/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglExpressionUnaireDroite.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


public class AglExpressionUnaireDroite extends AglExpression
{
  public String        operateur;
  public AglExpression droite;

  // yapod
  public AglExpressionUnaireDroite()
  {
    this("<<operateur>>",null);
  }

  public AglExpressionUnaireDroite
  (String _operateur, AglExpression _droite)
  {
    operateur=_operateur;
    droite   =_droite;
  }

  public AglType guessType()
  {
    return droite.guessType();
  }
}

