/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglImport.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


import java.util.*;

public class AglImport extends AglDeclaration
{
  public AglNom nom;

  public AglImport() // yapod
  {
    this(new AglNom(AglLib.genereNom("import")));
  }

  public AglImport(AglNom _nom)
  {
    nom=_nom;
  }

  public String toString()
  {
    return "IMPORT("+nom+")";
  }
}
