/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglInstructionIf.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


public class AglInstructionIf extends AglInstruction
{
  public AglExpression condition;
  public AglBloc       sioui;
  public AglBloc       sinon;

  // yapod
  public AglInstructionIf()
  {
    this(null,null,null);
  }

  public AglInstructionIf
  (AglExpression _condition, AglBloc _sioui, AglBloc _sinon)
  {
    condition=_condition;
    sioui    =_sioui;
    sinon    =_sinon;
  }
}

