/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglInstructionSwitch.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


import java.util.*;

public class AglInstructionSwitch extends AglInstruction
{
  public AglExpression    condition;
  public AglTableOrdonnee cas;
  public AglBloc          defaut;
  
  // yapod
  public AglInstructionSwitch()
  {
    this(null,null,null);
  }

  public AglInstructionSwitch
  (AglExpression _condition, AglTableOrdonnee _cas, AglBloc _defaut)
  {
    condition=_condition;
    cas      =_cas;
    defaut   =_defaut;
  }
}

