/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglLib.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


public class AglLib
{
  public final static synchronized String genereNom(String _base)
  {
    return _base+"_"+System.currentTimeMillis();
  }

  final public static String[] AGL_CLASSES=new String[]
  {
    "com.memoire.agl.AglOptions",
    "com.memoire.agl.AglTerminal",
    "com.memoire.agl.AglTerminalSystem",
    "com.memoire.agl.AglParse",
    "com.memoire.agl.AglCode",
    "com.memoire.agl.AglProjet",
    "com.memoire.agl.AglType",
    "com.memoire.agl.AglDeclaration",
    "com.memoire.agl.AglObjet",
    "com.memoire.agl.AglTableTriee",
    "com.memoire.agl.AglTableOrdonnee",
    "com.memoire.agl.AglTypePrimitif",
    "com.memoire.agl.AglNom",
    "com.memoire.agl.AglPatron",
    "com.memoire.agl.AglRelation",
    "com.memoire.agl.AglUnite",
    "com.memoire.agl.AglPaquet",
    "com.memoire.agl.AglClasse",
    "com.memoire.agl.AglStruct",
    "com.memoire.agl.AglTypeTableau",
    "com.memoire.agl.AglImport",
    "com.memoire.agl.AglPublicAPI",
    //Fu:loading AglType

    "com.memoire.agl.AglInstruction",
    "com.memoire.agl.AglInstructionBloc",
    "com.memoire.agl.AglInstructionVide",
    "com.memoire.agl.AglInstructionCatch",
    "com.memoire.agl.AglInstructionDoWhile",
    "com.memoire.agl.AglInstructionFinally",
    "com.memoire.agl.AglInstructionFor",
    "com.memoire.agl.AglInstructionIf",
    "com.memoire.agl.AglInstructionReturn",
    "com.memoire.agl.AglInstructionSwitch",
    "com.memoire.agl.AglInstructionSynchronized",
    "com.memoire.agl.AglInstructionThrow",
    "com.memoire.agl.AglInstructionTry",
    "com.memoire.agl.AglInstructionWhile",
    "com.memoire.agl.AglInstructionAffectation",
    "com.memoire.agl.AglInstructionExpression",

    "com.memoire.agl.AglExpression",
    "com.memoire.agl.AglExpressionBinaire",
    "com.memoire.agl.AglInstructionGenerique",
    "com.memoire.agl.AglInstructionDefVar",
    "com.memoire.agl.AglExpressionUnaireDroite",
    "com.memoire.agl.AglExpressionParenthesee",
    "com.memoire.agl.AglExpressionMethode",
    "com.memoire.agl.AglExpressionAttribut",
    "com.memoire.agl.AglExpressionGenerique",
    "com.memoire.agl.AglExpressionIndice",
    "com.memoire.agl.AglExpressionTernaire",
    "com.memoire.agl.AglExpressionAffectation",
    "com.memoire.agl.AglExpressionEstUn",
    "com.memoire.agl.AglExpressionUnaireGauche",
    "com.memoire.agl.AglExpressionInitArray",
    "com.memoire.agl.AglExpressionNew",
    "com.memoire.agl.AglExpressionNewArray",
    "com.memoire.agl.AglExpressionTypage",
  };
}
