/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglListeNoms.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


import java.util.*;

public class AglListeNoms extends AglDeclaration
{
  public AglVecteur noms;

  public AglListeNoms()
  {
    noms=new AglVecteur();
  }

  public String toString()
  {
    String r="";
    boolean p=true;

    for(Enumeration e=noms.elements(); e.hasMoreElements(); )
    {
      if(p) p=false; else r+=",";
      r+=(AglNom)e.nextElement();
    }

    return "LISTE_NOMS("+r+")";
  }
}
