/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglLiteralParametre.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;

public class AglLiteralParametre extends AglLiteral
{
  public AglParametre parametre;

  public AglLiteralParametre()
  {
    this(null);
  }

  public AglLiteralParametre(AglParametre _parametre)
  {
    parametre=_parametre;
  }

  public AglType guessType()
  {
    return parametre.type;
  }
}
