/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglLiteralReel.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;

public class AglLiteralReel extends AglLiteral
{
  public double  valeur;
  public boolean simple; // float/double

  public AglLiteralReel()
  {
  }

  public AglLiteralReel(double _valeur, boolean _simple)
  {
    valeur=_valeur;
    simple=_simple;
  }

  public AglType guessType()
  {
    return (simple ? AglTypePrimitif.tfloat : AglTypePrimitif.tdouble);
  }
}
