/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglLiteralVariable.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;

public class AglLiteralVariable extends AglLiteral
{
  public AglExpressionDefVar  expression;
  public AglInstructionDefVar instruction;

  public AglLiteralVariable()
  {
  }

  public AglLiteralVariable(AglInstructionDefVar _instruction)
  {
    instruction=_instruction;
  }

  public AglLiteralVariable(AglExpressionDefVar _expression)
  {
    expression=_expression;
  }

  public AglType guessType()
  {
    AglType r=null;
         if(expression !=null) r=expression.type;
    else if(instruction!=null) r=instruction.type;
    return r;
  }
}

