/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglParametreMoule.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


public class AglParametreMoule extends AglObjet
{
  public String nom;
  public String type;   // class | struct | union | ?
  public String defaut;

  public AglParametreMoule() // yapod
  {
    this("<<parametre>>");
  }

  public AglParametreMoule(String _nom)
  {
    nom   =_nom;
    type  ="class";
    defaut=null;
  }

  public String toString()
  {
    return "PARAMETREMOULE("+nom+")";
  }
}
