/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglParseRuby.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
// Auteur : Jan Arne Petersen
// Mel    : jpetersen@uni-bonn.de
 * @license      GNU General Public License 2 (GPL2)
//          Copyright (c)2001 Jan Arne Petersen
 */

package com.memoire.agl;
import com.memoire.agl.*;
import java.util.*;
import java.io.*;

public class AglParseRuby extends AglParse
{
  //private RubyParser  parser_=null;
  private String      fichier_="";

  public AglParseRuby()
  {
    // Define here any alias needed. Maybe nothing to do.
    /*
    new AglTypeAlias("long",AglTypePrimitif.tinteger,"Ruby");
    if(AglType.cherche("String")==null)
      (new AglClasse(new AglNom("java.lang.String"))).elementaire=true;
    if(AglType.cherche("string")==null)
      new AglTypeAlias("string",AglType.cherche("String"),"Ruby");
    */
  }

  public String extension()
  {
    return "rb";
  }

  public String[] extensions()
  {
    return new String[] { "rb", "RB" };
  }

  public String syntaxe()
  {
    return "Ruby";
  }

  public void initStream(InputStream _entree, String _fichier) throws Exception
  {
    // define parser, use the input stream;
    // parser_=new RubyParser(_entree);

    // the param _fichier is used to inform about the origin of the input
    fichier_=_fichier;
  }

  public String get()
  {
    return "";
  }

  public void put(String _s)
  {
  }

  private int pp=0;
  public int ligne()
  {
    int r=-1;

    /*
    // If possible, return the current line
    if(parser_!=null) r=parser_.getLineNumber();
    if(MaxLines!=0)
    {
      int p=100*r/MaxLines;
      if(p!=pp) progres(p);
      pp=p;
    }
    */

    return r;
  }

  public String fichier()
  {
    int i=fichier_.lastIndexOf(File.separator);
    return fichier_.substring(i+1);
  }

  // Parsing

  public void parseFichier() throws Exception
  {
    /*
    try
    {
      //parser_.parse(...);
    }
    catch(Exception ex)
    {
      ex.printStackTrace();
      erreur(ex.getClass().getName()+" "+ex.getMessage());
    }
    */
  }

  public AglUnite parseUnite() throws Exception
  {
    return null;
  }

  public AglVisibilite parseVisibilite() throws Exception
  {
    return null;
  }

  public AglNom parseNom() throws Exception
  {
    return null;
  }

  public AglListeNoms parseListeNoms() throws Exception
  {
    return null;
  }

  public AglType parseType() throws Exception
  {
    return null;
  }

  public AglPaquet parsePaquet() throws Exception
  {
    return null;
  }
  
  public AglImport parseImport() throws Exception
  {
    return null;
  }

  public AglTypeAlias parseTypeDef() throws Exception
  {
    return null;
  }

  public AglStruct parseStruct() throws Exception
  {
    return null;
  }

  public AglClasse parseClasse() throws Exception
  {
    return null;
  }

  public AglListeNoms parseMothers() throws Exception
  {
    return null;
  }

  public AglListeNoms parseInterfaces() throws Exception
  {
    return null;
  }

  public AglListeNoms parseExceptions() throws Exception
  {
    return null;
  }

  public AglConstructeur parseConstructeur() throws Exception
  {
    return null;
  }

  public AglMethode parseMethode() throws Exception
  {
    return null;
  }

  public AglVecteur parseAttribut() throws Exception
  {
    return null;
  }

  public AglVecteur parseParametres() throws Exception
  {
    return null;
  }

  public AglVecteur parseArgs() throws Exception
  {
    return null;
  }

  public AglBloc parseBloc() throws Exception
  {
    return null;
  }

  public AglBloc parseBlocMultiple() throws Exception
  {
    return null;
  }

  public AglBloc parseBlocSimple() throws Exception
  {
    return null;
  }

  public AglBloc parseBlocVirgule() throws Exception
  {
    return null;
  }

// Expressions

  public AglExpression parseExpression() throws Exception
  {
    return null;
  }

  public AglExpressionGenerique parseExpressionGenerique() throws Exception
  {
    return null;
  }

  public AglExpressionUnaireDroite parseExpressionUnaireDroite() throws Exception
  {
    return null;
  }

  public AglExpressionBinaire parseExpressionBinaire() throws Exception
  {
    return null;
  }

  public AglExpressionFonction parseExpressionFonction() throws Exception
  {
    return null;
  }

  public AglExpression parseExpressionNew() throws Exception
  {
    return null;
  }

  public AglExpressionParenthesee parseExpressionParenthesee() throws Exception
  {
    return null;
  }

  public AglExpression parseExpressionTypage() throws Exception
  {
    return null;
  }

// Instructions

  public AglInstructionGenerique parseInstructionGenerique() throws Exception
  {
    return null;
  }

  public AglInstructionAffectation parseInstructionAffectation(AglExpression eg) throws Exception
  {
    return null;
  }

  public AglInstructionBloc parseInstructionBloc() throws Exception
  {
    return null;
  }

  public AglInstructionCatch parseInstructionCatch() throws Exception
  {
    return null;
  }

  public AglVecteur parseInstructionDefVar() throws Exception
  {
    return null;
  }

  public AglInstructionDoWhile parseInstructionDoWhile() throws Exception
  {
    return null;
  }

  public AglInstructionExpression parseInstructionExpression(AglExpression eg) throws Exception
  {
    return null;
  }

  public AglInstructionIf parseInstructionIf() throws Exception
  {
    return null;
  }

  public AglInstructionProcedure parseInstructionProcedure() throws Exception
  {
    return null;
  }  

  public AglInstructionReturn parseInstructionReturn() throws Exception
  {
    return null;
  }

  public AglInstructionSwitch parseInstructionSwitch() throws Exception
  {
    return null;
  }  

  public AglInstructionThrow parseInstructionThrow() throws Exception
  {
    return null;
  }

  public AglInstructionTry parseInstructionTry() throws Exception
  {
    return null;
  }

  public AglInstructionWhile parseInstructionWhile() throws Exception
  {
    return null;
  }
}
