/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglTableTriee.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;
import com.memoire.fu.*;

import java.io.*;
import java.util.*;

public class AglTableTriee
       extends AglTableOrdonnee
{
  public AglTableTriee()
  {
    super();
  }

  public void put(Object _key, Object _value)
  {
    super.put(_key,_value);
    sort();
  }

  private synchronized void sort()
  {
    Object k1,k2,kt;
    Object v1,v2,vt;
    String s1,s2;
    int    i,l;

    l=k_.size();
    for(i=0; i+1<l; i++)
    {
      k1=k_.elementAt(i);
      k2=k_.elementAt(i+1);

      s1=k1.toString();
      s2=k2.toString();
      if(s1.compareTo(s2)>0)
      {
	kt=k1;
	k_.setElementAt(k2,i);
	k_.setElementAt(kt,i+1);

	v1=v_.elementAt(i);
	v2=v_.elementAt(i+1);
	vt=v1;
	v_.setElementAt(v2,i);
	v_.setElementAt(vt,i+1);

	i--; if(i>=0) i--;
      }
    }
  }
}
