/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglTypeReference.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;

public class AglTypeReference extends AglType
{
  public AglType type;

  public AglTypeReference() // yapod
  {
    this(AglTypePrimitif.tvoid);
  }

  public AglTypeReference(AglType _type)
  {
    super(new AglNom(_type.nom.parent(),_type.nom.dernier()+"&"));
    type=_type;
  }

  public String toString()
  {
    return "TYPE_REFERENCE("+nom+")";
  }
}
