/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglVecteur.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;
import com.memoire.fu.*;

public class AglVecteur
       extends FuVectorPublic
{
  public AglVecteur()
  {
    this(0,1);
  }

  public AglVecteur(int _capacite)
  {
    this(_capacite,1);
  }

  public AglVecteur(int _capacite,int _increment)
  {
    super(_capacite,_increment);
  }
}
