/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AlmaDjaCommentaire.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.alma;
import com.memoire.agl.*;
import com.memoire.alma.*;
import com.memoire.dja.*;
import com.memoire.fu.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;
import javax.swing.border.*;

public class AlmaDjaCommentaire
       extends AlmaDjaNote
       implements AlmaDjaValeur
{
  public AlmaDjaCommentaire()
  {
    this(null);
  }

  public AlmaDjaCommentaire(AglCommentaire _commentaire)
  {
    super(code(_commentaire));

    commentaire_=_commentaire;
  }

  private AglCommentaire commentaire_;

  public AglCommentaire getCommentaire()
  { return commentaire_; }

  public AglObjet getObjet()
  { return getCommentaire(); }

  private final static String code(AglCommentaire o)
  {
    String r=AglCode.langage("UmlHierarchie").code(o).trim();
    r=FuLib.replace(r,". ",".\n");
    return r;
  }
}

