/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AlmaDjaNote.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.alma;
import com.memoire.agl.*;
import com.memoire.alma.*;
import com.memoire.bu.*;
import com.memoire.dja.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;
import javax.swing.border.*;

public class AlmaDjaNote
       extends DjaUmlNote
{
  public AlmaDjaNote()
  {
    this(null);
  }

  public AlmaDjaNote(String _texte)
  {
    super(_texte);

    setFont(BuLib.deriveFont(defaultPlainFont,-2));
    resetSize();
    super.setWidth(41);
    super.setHeight(21);
  }

  /*
  public AlmaDjaNote(AglCommentaireMulti _commentaire)
  {
    DjaText[] t=getTextArray();
    if(t.length>0) t[0].setEditable(false);
  }
  */
}

