/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AlmaDjaRegistre.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.alma;
import com.memoire.alma.*;
import com.memoire.dja.*;

public final class AlmaDjaRegistre
             extends DjaRegistry
{
  static
  {
    // System.err.println("REGISTER ALMA OBJECTS");
    register("classe"             ,AlmaDjaClasse.class);
    register("commentaire"        ,AlmaDjaCommentaire.class);
    register("note"               ,AlmaDjaNote.class);
    register("paquet"             ,AlmaDjaPaquet.class);
    register("structure"          ,AlmaDjaStruct.class);
    register("relation_biorientee",AlmaDjaRelationBiOrientee.class);
  }
}
