/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AlmaNoeud.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.alma;
import com.memoire.alma.*;


import javax.swing.*;

public abstract class AlmaNoeud
{
  abstract int     getChildCount  ();
  abstract boolean isLeaf         ();
  abstract Object  getChild       (int _index);
  abstract int     getIndexOfChild(Object _child);

  public Object getValue() { return null; }
  public String getTitle() { return toString(); }
  public Icon   getIcon () { return null; }
}

