/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AlmaParseFilenameFilter.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.alma;
import com.memoire.agl.*;
import com.memoire.alma.*;

import java.io.*;

public class AlmaParseFilenameFilter
       implements FilenameFilter
{
  public AlmaParseFilenameFilter()
  {
  }

  public boolean accept(File dir, String name)
  {
    String[] e=AglOptions.parse().extensions();
    boolean  r=false;
    for(int i=0;i<e.length;i++)
      if(name.endsWith("."+e[i])) r=true;
    return r;
  }
}
