/**
 * @modification $Date: 2001/12/03 16:28:06 $
 * @statut       unstable
 * @file         BuAbilityInterface.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
import com.memoire.dnd.*;
import com.memoire.fu.*;
import com.memoire.re.*;


/**
 * Defines a way to ask and call a command using a string.
 */
interface BuAbilityInterface
{
  boolean can(String _action);
  boolean act(String _action);
  boolean can(String _action,Object[] _params);
  boolean act(String _action,Object[] _params);
}
