/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuDialogError.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
import com.memoire.dnd.*;
import com.memoire.fu.*;
import com.memoire.re.*;


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

/**
 * A standard error dialog (continue).
 */

public class BuDialogError
       extends BuDialogMessage
       implements ActionListener
{
  public BuDialogError(BuCommonInterface      _parent,
		       BuInformationsSoftware _isoft,
		       Object                 _message)
  {
    super(_parent,_isoft,_message);
    setTitle(BuResource.BU.getString("Erreur"));
  }
}

