/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuDialogMessage.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
import com.memoire.dnd.*;
import com.memoire.fu.*;
import com.memoire.re.*;


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

/**
 * A standard message dialog (continue).
 */

public class BuDialogMessage
       extends BuDialog
       implements ActionListener
{
  protected BuButton btContinuer_;

  public BuDialogMessage(BuCommonInterface      _parent,
			 BuInformationsSoftware _isoft,
			 Object                 _message)
  {
    super(_parent,_isoft,BuResource.BU.getString("Message"),_message);

    BuPanel pnb=new BuPanel();
    pnb.setLayout(new FlowLayout(FlowLayout.RIGHT));

    btContinuer_=new BuButton(BuLib.loadCommandIcon("CONTINUER"),
			     BuResource.BU.getString("Continuer"));
    btContinuer_.addActionListener(this);
    getRootPane().setDefaultButton(btContinuer_);
    pnb.add(btContinuer_);

    content_.add(pnb,BuBorderLayout.SOUTH);
  }

  public JComponent getComponent()
  { return null; }

  public void actionPerformed(ActionEvent _evt)
  {
    JComponent source=(JComponent)_evt.getSource();
    // System.err.println("BuDialogue : "+source);

    if(source==btContinuer_)
    {
      reponse_=JOptionPane.OK_OPTION;
      setVisible(false);
    }
  }
}





