/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuFileFilterAll.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
import com.memoire.dnd.*;
import com.memoire.fu.*;
import com.memoire.re.*;


import java.io.*;
import java.util.Hashtable;
import java.util.Enumeration;
import javax.swing.*;
import javax.swing.filechooser.*;
import javax.swing.*;

/**
 * A simple implementation of a non-filtering FileFilter.
 */

public class BuFileFilterAll
       extends BuFileFilter
{
  public BuFileFilterAll()
  {
    super("*","All files");
  }

  public boolean accept(String _f)
  {
    return (_f!=null);
  }

  public boolean accept(File _f)
  {
    return (_f!=null);
  }

  public boolean accept(File _d,String _fn)
  {
    return (_fn!=null);
  }

  public String getDescription()
  {
    if(fullDescription_==null)
    {
      if((description_==null)||isExtensionListInDescription())
      {
	if(description_!=null)
	  fullDescription_=description_;

	fullDescription_+=" (*.*)";
      }
      else
      {
	fullDescription_=description_;
      }
    } 
    return fullDescription_;
  }
}
