/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuHelpFrame.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
import com.memoire.dnd.*;
import com.memoire.fu.*;
import com.memoire.re.*;


import java.awt.*;
import java.awt.event.*;
import java.beans.*;
import java.net.*;
import java.io.*;

import javax.swing.*;
import javax.swing.border.*;
import javax.swing.text.*;
import javax.swing.event.*;

/**
 * A tiny HTML browser for on-line help.
 * Is an internal frame on the desktop and an alternative
 * to an external browser as lynx ;-)
 */

public class BuHelpFrame
       extends BuBrowserFrame 
{
  public BuHelpFrame()
  { this(null); }

  public BuHelpFrame(BuCommonImplementation _app)
  {
    super(_app);

    setName("ifAIDE");
    if(_app!=null) _app.installContextHelp(getRootPane(),"bu/p-aide.html");
    setShortcut(KeyEvent.VK_F1);

    setTitle("Aide");
    setFrameIcon(BuResource.BU.getBarIcon("aide"));
  }
}
