/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuRadioButton.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
import java.awt.*;
import javax.swing.*;

/**
 * The Swing radiobutton...
 */

public class BuRadioButton
       extends JRadioButton
{
  public BuRadioButton()
  {
    this(null);
  }

  public BuRadioButton(String _text)
  {
    super();

    if(_text==null) _text="";
    setText(_text);
  }

  // Anti-aliasing

  public void paint(Graphics _g)
  {
    BuLib.setAntialiasing(_g);
    super.paint(_g);
  }
}
