/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuSplit2Pane.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
import com.memoire.dnd.*;
import com.memoire.fu.*;
import com.memoire.re.*;


import java.awt.*;
import java.awt.event.*;
import java.beans.*;

import javax.swing.*;
import javax.swing.border.*;

/**
 * A split panel into 2 (resizable by the user).
 * Because the JSplitPane does not work fine.
 */

public class BuSplit2Pane
       extends BuSplit3Pane
{
  public BuSplit2Pane(JComponent _left,JComponent _right)
  {
    super(_left,_right,null);
  }

  public static void main(String[] _args)
  {
    JFrame f=new JFrame("test BuSplit2Pane");

    JButton c1=new JButton("1");
    JButton c2=new JButton("2");

    c1.setBorder(new LineBorder(Color.black,2));
    c2.setBorder(new LineBorder(Color.black,2));

    BuSplit2Pane sp=new BuSplit2Pane(c1,c2);
    sp.setBorder(new LineBorder(Color.red,2));

    f.getContentPane().add("Center",sp);
    f.setSize(300,200);
    f.show();
    f.setLocation(200,100);
  }
}
