/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuTerminalKey.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */
package com.memoire.bu;
import com.memoire.bu.*;
import com.memoire.dnd.*;
import com.memoire.fu.*;
import com.memoire.re.*;


/**
 * A struct to describe how to display in terminals.
 */
public class BuTerminalKey
{
  public final static String WHOLE="__WHOLE__";
  public final static String LEFT ="__LEFT__";
  public final static String RIGHT="__RIGHT__";

  String word_;
  int    color_;
  byte   style_;
  String til_;

  public BuTerminalKey(String _word, int _color, byte _style, String _til)
  {
    word_ =_word;
    color_=_color;
    style_=_style;
    til_  =_til;
  }
}
