/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         DjaLoadSaveLib.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.dja;

import com.memoire.fu.*;
import com.memoire.dnd.*;
import com.memoire.bu.*;
import com.memoire.dja.*;
import com.memoire.mst.*;


import java.io.*;

public class DjaLoadSaveLib
{
  public final static DjaLoadSaveInterface get(String n)
  {
    if(n==null) return null;

    DjaLoadSaveInterface r=null;

    try
    {
      String p=DjaLoadSaveLib.class.getName();
      int    i=p.indexOf("DjaLoadSaveLib");
      p=p.substring(0,i+11);
      Class c=Class.forName(p+n);
      r=(DjaLoadSaveInterface)c.newInstance();
    }
    catch (Exception ex) { }

    return r;
  }
}
