/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         DndMultiIcon.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.dnd;
import com.memoire.dnd.*;


import java.awt.*;
import java.util.*;
import javax.swing.*;

public class DndMultiIcon
    implements Icon
{
    private Icon icon_;

    public DndMultiIcon(Icon _icon)
    {
	icon_=_icon;
    }

    public int getIconHeight()
    {
	return 16+icon_.getIconHeight();
    }

    public int getIconWidth()
    {
	return 16+icon_.getIconHeight();
    }
                
    public void paintIcon(Component _c, Graphics _g, int _x, int _y)
    {
	icon_.paintIcon(_c,_g,_x   ,_y   );
	icon_.paintIcon(_c,_g,_x+ 6,_y+ 6);
	icon_.paintIcon(_c,_g,_x+12,_y+12);
    }
}
