/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         FooExec.java
 * @version      0.08
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1999-2001 Guillaume Desnoix
 */

package com.memoire.foo;
import com.memoire.foo.*;

import java.io.*;
import java.util.*;

public class FooExec
       implements FooEval
{
    private String cmd_;

    private FooExec(String _cmd)
    {
	cmd_=_cmd;
    }

    public Object eval()
    {
	FooList r=new FooList();
	try
	{
	    Process process=Runtime.getRuntime().exec(cmd_);
	    process.getOutputStream().close();
	    LineNumberReader rin=new LineNumberReader
		(new InputStreamReader(process.getInputStream()));
	    while(true)
	    {
		String l=rin.readLine();
		if(l==null) break;
		r.add(l);
	    }
	    rin.close();
	    // r=new Integer(process.waitFor());
	}
	catch(Exception ex)
	{
	    throw new RuntimeException
		("command failed:"+ex.getMessage()+":"+cmd_);
	}
	return r;
    }

    // static

    public static FooExec create(String _cmd)
    {
	return new FooExec(_cmd);
    }
}
