/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         FooInputStream.java
 * @version      0.08
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1999-2001 Guillaume Desnoix
 */

package com.memoire.foo;
import com.memoire.foo.*;

import java.io.*;

public class FooInputStream
{
  private static FooCategory pkg_=null;

  public final static FooCategory init()
  {
    if(pkg_==null)
    {
      pkg_=FooCategory.create(InputStream.class);

      pkg_.setMessage(">>",FooInputStream.class,"read");
    }

    return pkg_;
  }

    public static Object read(InputStream _in)
    {
	Object r=null;
	FooParser parser=FooLib.getParser();
	synchronized (parser)
	{
	    //FooTokenizer old=parser.getTokenizer();
	    try
	    {
		r=parser.parseExpr(false,false);
	    }
	    catch(IOException ex) { }
	    //parser.setTokenizer(old);
	}
	return r;
    }
}
