/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         FooQuote.java
 * @version      0.08
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1999-2001 Guillaume Desnoix
 */

package com.memoire.foo;
import com.memoire.foo.*;

public class FooQuote
       implements FooEval
{
  private Object value_;

  public FooQuote(Object _value)
  {
    value_=_value;
  }

  private Object eval0(Object _o)
  {
    Object r=_o;

    if(_o instanceof FooComma)
    {
      r=((FooComma)_o).eval();
    }
    else
    if(_o instanceof FooQuote)
    {
      r=new FooQuote(eval0(((FooQuote)_o).eval()));
    }
    else
    if(_o instanceof FooList)
    {
      FooList a=(FooList)_o;
      FooList b=new FooList();
      for(int i=0;i<a.length();i++)
	  b.add(eval0(a.at(i)));
      r=b;
    }

    return r;
  }
 
  public Object eval()
  {
    return eval0(value_);
  }
  
  public String toString()
  {
    return "'"+value_;
  }

  public String toSource()
  {
    return "'"+FooLib.toSource(value_);
  }

  public int hashCode()
  {
    return 1+(value_!=null ? value_.hashCode() : 0);
  }

  public boolean equals(Object _o)
  {
    if(_o==this) return true;
    if(_o==null) return false;

    return
        (_o instanceof FooQuote)
      &&FooObject.eqMsg(eval(),((FooQuote)_o).eval()).booleanValue();
  }
}
