/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         FooToken.java
 * @version      0.08
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1999-2001 Guillaume Desnoix
 */

package com.memoire.foo;
import com.memoire.foo.*;

public class FooToken
{
  public final static int UNKNOWN   =0;
  public final static int COMMENT   =1;
  public final static int INTEGER   =2;
  public final static int REAL      =3;
  public final static int STRING    =4;
  public final static int PARLEFT   =5;
  public final static int PARRIGHT  =6;
  public final static int QUOTE     =7;
  public final static int COMMA     =8;
  public final static int IDENTIFIER=9;
  public final static int EXEC      =10;
  public final static int PATTERN   =11;

  public int    type_;
  public Object value_;

  public FooToken(int _t, Object _v)
    { type_=_t; value_=_v; }

  public String toString()
    { return "[token"+type_+","+value_+"]"; }
}

