

package com.memoire.silk;
import com.memoire.silk.*;



/**  @author Peter Norvig, peter@norvig.com http://www.norvig.com
 * Copyright 1998 Peter Norvig, see http://www.norvig.com/license.html  **/

public abstract class SilkProcedure extends SilkSchemeUtils {

  String name = "anonymous procedure";

  public String toString() { return "{" + name + "}"; }

  public abstract Object apply(SilkScheme interpreter, Object args);

  /** Coerces a SilkScheme object to a procedure. **/
  static SilkProcedure proc(Object x) {
    if (x instanceof SilkProcedure) return (SilkProcedure) x;
    else return proc(error("Not a procedure: " + stringify(x)));
  }

}
