/**
 * @modification 2001-10-25
 * @statut       unstable
 * @file         XmlListener.java
 * @version      0.04
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.xml;
import  com.memoire.xml.*;


public interface XmlListener
{
  void location    (String _origin, int _lineno, int _charno);
  void startElement(String _tag);
  void endElement  (String _tag);
  void attribute   (String _name,String _value);
  void text        (String _data);
  void error       (String _message);
}
