/**
 * @modification $Date: 2001/12/03 16:28:09 $
 * @statut       unstable
 * @file         YapodElementQuery.java
 * @version      0.17
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.yapod;
import  com.memoire.yapod.*;


import java.util.*;

public class YapodElementQuery
       extends YapodAbstractQuery
{
  private int num_;

  public YapodElementQuery
    (int _num, YapodQuery _previous)
  {
    super(_previous);
    num_=_num;
  }

  protected final Enumeration query(Enumeration e)
  {
    int    n=0;
    Object o=FAKE;

    while(e.hasMoreElements())
    {
      o=e.nextElement();
      if(n==num_) break;
      n++;
    }

    Vector r=new Vector(1);
    if(o!=FAKE) r.addElement(o);
    return r.elements();
  }

  public String toString()
    { return "element("+num_+","+getPrevious()+")"; }
}
