/**
 * @modification $Date: 2001/12/03 16:28:09 $
 * @statut       unstable
 * @file         YapodSerDeserializer.java
 * @version      0.17
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.yapod;

import  com.memoire.yapod.*;
import java.io.*;
import java.util.Hashtable;

public class YapodSerDeserializer
       implements YapodDeserializer
{
  private ObjectInputStream in_;

  public YapodSerDeserializer()
  {
  }

  public String extension()
  {
    return "ser";
  }

  public void open(InputStream _in)
       throws IOException
  {
    if(!(_in instanceof BufferedInputStream))
      _in=new BufferedInputStream(_in,BUFFER_SIZE);
    in_=new ObjectInputStream(_in);
  }

  public void close()
       throws IOException
  {
    in_.close();
  }

  public Object read()
       throws ClassNotFoundException, IOException
  {
    return in_.readObject();
  }

  public synchronized Object retrieve
  (String _id, Object dbcx_, Hashtable _ref, Hashtable _obj, Hashtable _nmo)
  {
    return null;
  }
}
