/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglCommentaireMulti.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


import java.util.*;

public class AglCommentaireMulti extends AglCommentaire
{
  public boolean       special;
  public AglTableTriee clefs;

  public AglCommentaireMulti() // yapod
  {
    this(new AglTableTriee(),false);
  }

  public AglCommentaireMulti(AglTableTriee _clefs, boolean _special)
  {
    clefs  =_clefs;
    special=_special;
  }

  public AglCommentaireMulti(String _texte)
  {
    clefs=new AglTableTriee();
    clefs.put("@main",_texte);
    special=true;
  }
}
