/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglExpressionAffectation.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


public class AglExpressionAffectation extends AglExpression
{
  public AglExpression gauche;
  public AglExpression droite;

  // yapod
  public AglExpressionAffectation()
  {
    this(null,null);
  }

  public AglExpressionAffectation
    (AglExpression _gauche, AglExpression _droite)
  {
    gauche=_gauche;
    droite=_droite;
  }

  public AglType guessType()
  {
    return gauche.guessType();
  }
}

