/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglExpressionEstUn.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;

public class AglExpressionEstUn extends AglExpression
{
  public AglExpression expression;
  public AglType       type;

  // yapod
  public AglExpressionEstUn()
  {
    this(null,null);
  }

  public AglExpressionEstUn(AglExpression _expression, AglType _type)
  {
    type      =_type;
    expression=_expression;
  }

  public AglType guessType()
  {
    return AglTypePrimitif.tboolean;
  }
}
