/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglExpressionNewArray.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


import java.util.*;

public class AglExpressionNewArray extends AglExpression
{
  public AglType       type;
  public AglExpression nombre;
  public AglExpression initiale;

  // yapod
  public AglExpressionNewArray()
  {
    this(AglTypePrimitif.tvoid);
  }

  public AglExpressionNewArray(AglType _type)
  {
    type    =_type;
    nombre  =null;
    initiale=null;
  }
}
