/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglInstructionBloc.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


public class AglInstructionBloc extends AglInstruction
{
  public AglBloc corps;
  public boolean virgule;

  // yapod
  public AglInstructionBloc()
  {
    this(null);
  }

  public AglInstructionBloc(AglBloc _corps)
  {
    this(_corps,false);
  }

  public AglInstructionBloc(AglBloc _corps, boolean _virgule)
  {
    corps  =_corps;
    virgule=_virgule;
  }
}

