/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglInstructionDefVar.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


public class AglInstructionDefVar extends AglInstruction
{
  public String        nom;
  public AglType       type;
  public AglExpression initiale;
  public AglVisibilite visibilite;

  public AglInstructionDefVar()
  {
    nom="_undefined_";
    type=null;
    initiale=null;
    visibilite=new AglVisibilite();
  }

  public AglInstructionDefVar(String _nom, AglType _type)
  {
    this();
    nom =_nom;
    type=_type;
  }

  /*
  public AglInstructionDefVar
  (String _nom, AglType _type, AglVisibilite _visibilite)
  {
    this();
    nom       =_nom;
    type      =_type;
    visibilite=_visibilite.copie();
  }
  */

  public AglInstructionDefVar
  (String _nom, AglType _type, AglExpression _initiale)
  {
    this();
    nom     =_nom;
    type    =_type;
    initiale=_initiale;
  }
}

