/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglInstructionWhile.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


public class AglInstructionWhile extends AglInstruction
{
  public AglExpression condition;
  public AglBloc       corps;

  // yapod
  public AglInstructionWhile()
  {
    this(null,null);
  }

  public AglInstructionWhile(AglExpression _condition, AglBloc _corps)
  {
    condition=_condition;
    corps    =_corps;
  }
}

