/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglLiteralEntier.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;

public class AglLiteralEntier extends AglLiteral
{
  public long    valeur;
  public boolean simple; // int/long
  public int     base;

  public AglLiteralEntier()
  {
    simple=true;
    base=10;
  }

  public AglLiteralEntier(long _valeur, boolean _simple, int _base)
  {
    valeur  =_valeur;
    simple  =_simple;
    base    =_base;
  }

  public AglType guessType()
  {
    return (simple ? AglTypePrimitif.tinteger : AglTypePrimitif.tlong);
  }
}
