/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglMoule.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;
import java.util.*;

public class AglMoule extends AglType
{
  public AglVecteur     parametres;  // AglParametreMoule
  public AglDeclaration declaration; // AglClasse
  public boolean        elementaire;

  public AglMoule() // yapod
  {
    this(new AglNom(AglLib.genereNom("moule")),AglTypePrimitif.tvoid);
  }

  public AglMoule(AglNom _nom,AglDeclaration _d)
  {
    super(_nom);
    declaration=_d;
    elementaire=false;
  }

  public String toString()
  {
    return "MOULE("+nom+")";
  }
}
