/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglObjet.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


import java.io.*;
import java.util.*;

public abstract class AglObjet
       implements Serializable
{
  public AglObjet   proprietaire;
  public int        ligne;
  public boolean    genere;
  public AglVecteur commentaires;

  protected AglObjet()
  {
    proprietaire=null;
    ligne       =-1;
    genere      =false;
    commentaires=null; //new AglVecteur();
  }

  public AglUnite unite()
  {
    AglObjet o=this;
    while((o!=null)&&!(o instanceof AglUnite))
      o=o.proprietaire;
    return (AglUnite)o;
  }
}
