/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglOptions.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;

public class AglOptions
{
  public final static String VERSION=
      "0.36";
  public final static String DATE=
      "2001-12-11";
  public final static String PRODUIT=
      "Alma, (c)1998-2001 Guillaume Desnoix";
  public final static String SITE=
      "http://www.memoire.com/guillaume-desnoix/alma/";

  // General
  public static boolean     applet           =false;
  public static AglTerminal terminal         =null;
  public static Object      application      =null;
  public static boolean     avertissement    =true;
  public static boolean     suivi            =false;
  public static boolean     trace            =false;

  // Analyse
  public static boolean  classesFondamentales=false;
  public static boolean  analyserCommentaires=true;
  public static boolean  definirLiteraux     =false;
  public static String   parse               =null;

  // Generation
  public static boolean  entete              =true;
  public static boolean  rappelClasses       =false;
  public static boolean  rappelPatrons       =false;
  public static boolean  rappelRelations     =false;
  public static boolean  appliquerExpReg     =false;
  public static String   formatImage         ="Gif";
  public static String   styleHtml           ="DocHtml.css";
  public static String   module              ="";
  public static String   classe              ="";
  public static String   code                =null;

  //public static boolean  simplifie           =false;

  public static AglParse parse()
  {
    return AglParse.langage(parse);
  }

  public static AglCode code()
  {
    return AglCode.langage(code);
  }
}
