/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglParametre.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;



public class AglParametre extends AglDeclaration
{
  public String        nom;
  public AglType       type;

  public int           passage;
  public AglVisibilite visibilite;
  public AglExpression defaut;

  public final static int IN   =1;
  public final static int OUT  =2;
  public final static int INOUT=3;

  public AglParametre() // yapod
  {
    this("<<parametre>>",AglTypePrimitif.tvoid);
  }

  public AglParametre(String _nom, AglType _type)
  {
    visibilite=new AglVisibilite();
    nom       =_nom;
    type      =_type;
    passage   =IN;
  }

  public String toString()
  {
    return "PARAMETRE("+nom+")";
  }
}
