/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglStruct.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


import java.util.*;

public class AglStruct extends AglType
{
  public AglTableOrdonnee attributs;
  public AglVisibilite    visibilite;
  public boolean          elementaire;

  public AglStruct() // yapod
  {
    this(new AglNom(AglLib.genereNom("struct")));
  }

  public AglStruct(AglNom _nom)
  {
    super(_nom);

    attributs  =new AglTableOrdonnee();
    visibilite =new AglVisibilite();
    elementaire=false;
  }

  public String toString()
  {
    return "STRUCTURE("+nom+")";
  }
}
