/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AglTerminal.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.agl;
import com.memoire.agl.*;


import java.io.*;

public interface AglTerminal
{
  void avertissement(String s);
  void syntaxe      (String s);
  void erreur       (String s);
  void suivi        (String s);
  void trace        (String s);
  void message      (String s);
  void sortie       (String s);
  void progres      (int v);

  InputStream  getInputStream ();
  OutputStream getOutputStream();
  OutputStream getErrorStream ();
}
