/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AlmaChoixClasses.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.alma;
import com.memoire.agl.*;
import com.memoire.alma.*;

import java.util.*;

import javax.swing.*;
import javax.swing.event.*;

public class AlmaChoixClasses
       extends JComboBox
{
  public AlmaChoixClasses()
  {
    super();
    setModel(new Model());
  }

  public class Model
         implements ComboBoxModel
  {
    Vector listeners_=new Vector();
    Object selection_=null;

    public Object getSelectedItem()
    { return selection_; }

    public void setSelectedItem(Object _o)
    { selection_=_o; }

    public int getSize()
    { return AglType.table.size(); }

    public Object getElementAt(int _i)
    { return ((AglType)AglType.table.at(_i)).nom.dernier(); }
    
    public void addListDataListener(ListDataListener _l)
    { listeners_.addElement(_l); }
    
    public void removeListDataListener(ListDataListener _l)
    { listeners_.removeElement(_l); }
  }
}


/*
  public void rafraichirClasses()
  {
    // Object o=ltClasses.getSelectedValue();

    lmClasses.removeAllElements();

    for(Enumeration e=AglType.table.elements(); e.hasMoreElements(); )
    {
      AglType at=(AglType)e.nextElement();
      if(at instanceof AglClasse)
      {
	AglClasse ac=(AglClasse)at;
	if(  (bClasses     &&(bElementaires||!ac.elementaire)&&ac.normale )
	   ||(bInterfaces  &&(bElementaires||!ac.elementaire)&&!ac.normale))
	  lmClasses.addElement(ac.nom.dernier());
      }
      else
      if(at instanceof AglStruct)
      {
	AglStruct as=(AglStruct)at;
	if(bStructures&&(bElementaires||!as.elementaire))
	  lmClasses.addElement(as.nom.dernier());
      }
      else
      if(at instanceof AglTypeTableau)
      {
      }
      else
      {
	if(bElementaires)
	  lmClasses.addElement(at.nom.dernier());
      }
    }

    // ltClasses.setSelectedValue(o,true);
    ltClasses.revalidate();
    ltClasses.repaint();
  }
*/
