/**
 * @product      Alma (Atelier logiciel de modelistion et d'analyse)
 * @file         AlmaFilleDocument.java
 * @version      0.36
 * @www          http://www.memoire.com/guillaume-desnoix/alma/
 * @modification $Date: 2001/12/03 16:28:06 $
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.alma;
import com.memoire.alma.*;
import com.memoire.bu.*;

import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.beans.*;

import javax.swing.*;
import javax.swing.border.*;
import javax.swing.text.*;

public abstract class AlmaFilleDocument
       extends BuInternalFrame
/*
       implements ActionListener, BuCutCopyPasteInterface,
                  BuPrintable, BuSelectFindReplaceInterface,
                  BuUndoRedoInterface
*/
{
  protected AlmaFilleDocument()
  {
    super("",true,true,true,true);
  }

  public abstract BuFileFilter getFiltre();
  public abstract String       getFichier();
  public abstract Object       getDonnee();
}
