/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuCheckBox.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
import java.awt.*;
import javax.swing.*;

/**
 * The Swing checkbox...
 */

public class BuCheckBox
       extends JCheckBox
{
  public BuCheckBox()
  {
    this((String)null);
  }

  public BuCheckBox(String _text)
  {
    super();

    if(_text==null) _text="";
    setText(_text);
  }

  /**
   * @deprecated
   */
  public BuCheckBox(Icon _icon)
  {
    this(null,_icon,false);
  }

  /**
   * @deprecated
   */
  public BuCheckBox(Icon _icon, boolean _selected)
  {
    this(null,_icon,_selected);
  }

  /**
   * @deprecated
   */
  public BuCheckBox(String _text, boolean _selected)
  {
    this(_text,null,_selected);
  }

  /**
   * @deprecated
   */
  public BuCheckBox(String _text, Icon _icon)
  {
    this(_text,_icon,false);
  }

  /**
   * @deprecated
   */
  public BuCheckBox(String _text, Icon _icon, boolean _selected)
  {
    super();
    setIcon(_icon);
    setText(_text);
    setSelected(_selected);
  }

  // Anti-aliasing

  public void paint(Graphics _g)
  {
    BuLib.setAntialiasing(_g);
    super.paint(_g);
  }
}
