/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuComboBox.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
import com.memoire.dnd.*;
import com.memoire.fu.*;
import com.memoire.re.*;


import java.awt.*;
import java.awt.event.*;
import java.util.*;

import javax.swing.*;

/**
 * Nothing more than a JComboBox.
 */

public class BuComboBox
       extends JComboBox
{
  public BuComboBox()
  {
    super();
    setRenderer(BuAbstractCellRenderer.getDefaultComboBoxCellRenderer());
  }

  public BuComboBox(Object[] _items)
  {
    super(_items);
    setRenderer(BuAbstractCellRenderer.getDefaultComboBoxCellRenderer());
  }

  /**
   * @deprecated
   */
  public BuComboBox(Vector _items)
  {
    super(_items);
    setRenderer(BuAbstractCellRenderer.getDefaultComboBoxCellRenderer());
  }

  /**
   * @deprecated
   */
  public BuComboBox(ComboBoxModel _model)
  {
    super(_model);
    setRenderer(BuAbstractCellRenderer.getDefaultComboBoxCellRenderer());
  }
}
