/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuCutCopyPasteInterface.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
import com.memoire.dnd.*;
import com.memoire.fu.*;
import com.memoire.re.*;


/**
 * Interface for Cut/Copy/Paste services.
 * Add duplicate which should be equivalent to copy/paste.
 */
public interface BuCutCopyPasteInterface
{
  void cut();
  void copy();
  void paste();
  void duplicate();
}
