/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuEditorPane.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;

import java.awt.*;
import java.net.*;
import java.io.*;

import javax.swing.*;
import javax.swing.text.*;

public class BuEditorPane
       extends JEditorPane
{
  public BuEditorPane()
  {
    super();
  }

  public BuEditorPane(URL _url) throws IOException
  {
    super(_url);
  }

  public BuEditorPane(String _url) throws IOException
  {
    super(_url);
  }

  public EditorKit getEditorKitForContentType(String _type)
  {
    //System.err.println("EditorKit: "+_type);
    // remove charset if swing 1.03
    if(!BuLib.isSwing11())
    {
      int i=_type.indexOf(";");
      if(i>=0) _type=_type.substring(0,i).trim();
    }

    return super.getEditorKitForContentType(_type);
  } 

  // Anti-aliasing

  public void paint(Graphics _g)
  {
    BuLib.setAntialiasing(_g);
    super.paint(_g);
  }
}
