/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuEmptyIcon.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
import com.memoire.dnd.*;
import com.memoire.fu.*;
import com.memoire.re.*;


import javax.swing.*;
import java.awt.*;

/**
 * A simple empty icon.
 * It's possible to specify the size when you instanciate it.
 */

public class BuEmptyIcon
       implements Icon
{
  private int width_;
  private int height_;

  public BuEmptyIcon()
  {
    this(0,0);
  }

  public BuEmptyIcon(int _width, int _height)
  {
    width_ =_width;
    height_=_height;
  }

  public void paintIcon(Component _c, Graphics _g, int _x, int _y) { }
  public int getIconWidth()  { return width_; }
  public int getIconHeight() { return height_; }
}

