/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuGlassPaneStop.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
//import com.memoire.dnd.*;
//import com.memoire.fu.*;
//import com.memoire.re.*;

import java.awt.*;
import java.awt.event.*;
import java.beans.*;
import java.lang.reflect.*;
import java.io.*;
import java.util.*;

import javax.swing.*;
import javax.swing.border.*;

/**
 * Used to stop any user event at the beginning.
 */

public class BuGlassPaneStop
       extends JComponent
{
  private Listener      listener_;
  //private BuApplication frame_;

  public BuGlassPaneStop() //BuApplication _frame)
  {
    setName("gpGLASSPANE_STOP");
    setOpaque(false);
    setVisible(false);
    setCursor(new Cursor(Cursor.WAIT_CURSOR));

    listener_=null;
    //frame_=_frame;
  }

  public void setVisible(boolean _v)
  {
    if(isVisible()==_v) return;

    if(listener_==null) listener_=new Listener();

    if(_v)
    {
      addMouseListener(listener_);
      addMouseMotionListener(listener_);
      addKeyListener(listener_);
    }
    else
    {
      removeMouseListener(listener_);
      removeMouseMotionListener(listener_);
      removeKeyListener(listener_);
    }

    super.setVisible(_v);
  }

  public void paintComponent(Graphics _g)
  {
    super.paintComponent(_g);

    /*
    if(System.getProperty("java.version").startsWith("1.3"))
    {
      Rectangle clip=_g.getClipBounds();
      _g.setColor(new Color(0x90C0C0C0));
      _g.fillRect(clip.x,clip.y,clip.width,clip.height);
    }
    */

    /*
    else
    {
      Rectangle clip=_g.getClipBounds();
      _g.setColor(UIManager.getColor("Panel.background"));
      int y   =clip.y+clip.y%2;
      int ymax=y+clip.height;
      for(;y<ymax;y+=2)
	_g.drawLine(clip.x,y,clip.x+clip.width-1,y);
    }
    */
  }

  class Listener
  implements MouseListener, MouseMotionListener, KeyListener
  {
    public Listener()
    {
    }

    public void mouseClicked(MouseEvent _evt)
    {
    }
    
    public void mouseEntered(MouseEvent _evt)
    {
    }
    
    public void mouseExited(MouseEvent _evt)
    {
    }
    
    public void mousePressed(MouseEvent _evt)
    {
    }
    
    public void mouseReleased(MouseEvent _evt)
    {
    }
    
    public void mouseMoved(MouseEvent _evt)
    {
    }
    
    public void mouseDragged(MouseEvent _evt)
    {
    }

    public void keyTyped(KeyEvent _evt)
    {
    }

    public void keyPressed(KeyEvent _evt)
    {
    }

    public void keyReleased(KeyEvent _evt)
    {
    }
  }
}
