/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuInformationsUser.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
import com.memoire.dnd.*;
import com.memoire.fu.*;
import com.memoire.re.*;


/**
 * Basic informations for a user.
 */

public class BuInformationsUser
       extends Object
{
  public String lastname;
  public String firstname;
  public String nickname;
  public String email;
  public String title;
  public String organization;
  public String department;

  public BuInformationsUser()
  {
    lastname    =System.getProperty("user.name");
    firstname   ="";
    nickname    ="";
    email       ="";
    title       ="";
    organization="";
    department  ="";
  }

  public String about()
  {
    String r=lastname;

    /*
    if(!organization.equals(""))
      r+="\n"+BuResource.BU.getString("Socit")+": "+organization;
    if(!author.equals(""))
      r+="\n"+BuResource.BU.getString("Auteur")+": " +author;
    if(!contact.equals(""))
      r+="\n"+BuResource.BU.getString("Contact")+": "+contact;
    if(!location.equals(""))
      r+="\n"+BuResource.BU.getString("Lien")+": "+location;
    */

    return r;
  }

  public String toString()
  {
    String r="User[";
    /*
    r+=name+","+version+","+date;
    if(!organization.equals("")) r+=","+organization;
    if(!author  .equals("")) r+=","+author;
    if(!contact .equals("")) r+=","+contact;
    if(!location.equals("")) r+=","+location;
    if(!mimetype.equals("")) r+=","+mimetype;
    */
    r+="]";
    return r;
  }
}




