/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuLabel.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
import java.awt.*;
import javax.swing.*;

/**
 * The Swing label...
 */

public class BuLabel
       extends JLabel
{
  public BuLabel()
  {
    this(null,BuLabel.LEFT);
  }

  public BuLabel(String _label)
  {
    this(_label,BuLabel.LEFT);
  }

  public BuLabel(String _label, int _alignment)
  {
    super();

    if(_label==null) _label="";
    setText(_label);
    setHorizontalAlignment(_alignment);
  }

  // Anti-aliasing

  public void paint(Graphics _g)
  {
    BuLib.setAntialiasing(_g);
    super.paint(_g);
  }
}
