/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuPanel.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
import com.memoire.dnd.*;
import com.memoire.fu.*;
import com.memoire.re.*;


import java.awt.*;
import java.awt.event.*;
import java.util.*;

import javax.swing.*;

/**
 * Nothing more than a JPanel.
 */

public class BuPanel
       extends JPanel
{
  public BuPanel()
  {
    super();
  }

  /**
   * @deprecated
   */
  public BuPanel(LayoutManager _layout, boolean _isDoubleBuffered)
  {
    super(_layout,_isDoubleBuffered);
  }

  /**
   * @deprecated
   */
  public BuPanel(LayoutManager _layout)
  {
    super(_layout);
  }

  /**
   * @deprecated
   */
  public BuPanel(boolean _isDoubleBuffered)
  {
    super(_isDoubleBuffered);
  }

  // Anti-aliasing

  public void paint(Graphics _g)
  {
    BuLib.setAntialiasing(_g);
    super.paint(_g);
  }

  // Texture

  public void paintComponent(Graphics _g)
  {
    BuBackgroundPainter bp=(BuBackgroundPainter)
                           getClientProperty("BACKGROUND_PAINTER");
    if(bp!=null)
      bp.paintBackground(this,_g);

    super.paintComponent(_g);
  }
}

