/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuPreferencesInterface.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
import com.memoire.dnd.*;
import com.memoire.fu.*;
import com.memoire.re.*;


/**
 * @deprecated use BuAbstractPreferencesPanel instead
 */

public interface BuPreferencesInterface
{
  String getTitle();
  String getToolTipText();

  boolean isPreferencesValidable();
  void validatePreferences();

  boolean isPreferencesApplyable();
  void applyPreferences();

  boolean isPreferencesCancelable();
  void cancelPreferences();
}
