/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuRegistry.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.bu;

import com.memoire.bu.*;
import com.memoire.dnd.*;
import com.memoire.fu.*;
import com.memoire.re.*;


import java.awt.*;
import java.util.*;

/**
 * The registry of the running applications.
 */
public class BuRegistry
{
  private static Hashtable applis_;

  static
  {
    applis_=new Hashtable(11);
    System.getProperties().put("BuRegistry",applis_);
  }

  /**
   * Register an application.
   */
  public static void register(Object _t)
  {
    applis_.put(_t,Boolean.TRUE); //""+_t);
  }

  /**
   * Unregister an application.
   * If there is no more running applis, exit from the JVM.
   */
  public static void unregister(Object _t)
  {
    if(_t instanceof Window) ((Window)_t).dispose();

    applis_.remove(_t);
    if(applis_.size()==0)
    {
      // System.runFinalizersOnExit(true);
      System.exit(0);
    }
  }
}
