/**
 * @modification $Date: 2001/12/03 16:28:07 $
 * @statut       unstable
 * @file         BuTextComponentInterface.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */
package com.memoire.bu;
import com.memoire.bu.*;
import com.memoire.dnd.*;
import com.memoire.fu.*;
import com.memoire.re.*;


public interface BuTextComponentInterface
{
  int getLength();
  int getCaretPosition();

  void go(int _line);
  void select(int _start,int _end);
  boolean find(String searchStr, int start, boolean ignoreCase);
  boolean replace(String searchStr, String replaceStr,
		  int start, int end, boolean ignoreCase);
}
