/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         DjaGridListener.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.dja;

import com.memoire.fu.*;
import com.memoire.dnd.*;
import com.memoire.bu.*;
import com.memoire.dja.*;
import com.memoire.mst.*;


public interface DjaGridListener
{
  void objectAdded       (DjaGridEvent _evt);
  void objectRemoved     (DjaGridEvent _evt);
  void objectConnected   (DjaGridEvent _evt);
  void objectDisconnected(DjaGridEvent _evt);
  void objectSelected    (DjaGridEvent _evt);
  void objectUnselected  (DjaGridEvent _evt);
  void objectModified    (DjaGridEvent _evt);
}
