/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         DjaHandle.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.dja;

import com.memoire.fu.*;
import com.memoire.dnd.*;
import com.memoire.bu.*;
import com.memoire.dja.*;
import com.memoire.mst.*;


import java.awt.*;

public class DjaHandle
       extends DjaManipulator
{
  private int       x_;
  private int       y_;
  private int       o_;
  private DjaObject parent_;

  public DjaHandle(DjaObject _parent,int _o,int _x,int _y)
  {
    o_=_o;
    x_=_x;
    y_=_y;
    parent_=_parent;
  }

  public final DjaOwner getOwner()
  { return getParent(); }

  public int getX() { return x_; }
  public int getY() { return y_; }
  public int getO() { return o_; }

  public DjaObject getParent() { return parent_; }

  public void paint(Graphics _g)
  {
    int x=getX();
    int y=getY();

    _g.setColor(handlesColor);
    _g.fillRect(x-2,y-2,5,5);
  }
}
