/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         DjaLoadSaveSer.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.dja;

import com.memoire.fu.*;
import com.memoire.dnd.*;
import com.memoire.bu.*;
import com.memoire.dja.*;
import com.memoire.mst.*;


import java.awt.*;
import java.io.*;
import java.util.*;

public class DjaLoadSaveSer
       implements DjaLoadSaveInterface
{
  public boolean canLoad() { return true; }
  public boolean canSave() { return true; }

  public DjaVector load(File _file)
    throws Exception
  {
    return (DjaVector)new ObjectInputStream
      (new BufferedInputStream(new FileInputStream(_file)))
      .readObject();
  }

  public void save(File _file, DjaVector _vector)
    throws Exception
  {
    new ObjectOutputStream
      (new BufferedOutputStream(new FileOutputStream(_file)))
      .writeObject(_vector);
  }

  public BuFileFilter getFilter()
  {
    return new BuFileFilter
      (new String[] { "ser","SER" },
      "Dja serialized grids");
  }
}
