/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         DjaNode.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.dja;

import com.memoire.fu.*;
import com.memoire.dnd.*;
import com.memoire.bu.*;
import com.memoire.dja.*;
import com.memoire.mst.*;


import javax.swing.*;

public abstract class DjaNode
{
  abstract int     getChildCount  ();
  abstract boolean isLeaf         ();
  abstract Object  getChild       (int _index);
  abstract int     getIndexOfChild(Object _child);

  public Object getValue() { return null; }
  public String getTitle() { return toString(); }
  public Icon   getIcon () { return null; }
}

