/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         DjaSquare.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.dja;

import com.memoire.fu.*;
import com.memoire.dnd.*;
import com.memoire.bu.*;
import com.memoire.dja.*;
import com.memoire.mst.*;


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

public class DjaSquare
       extends DjaBox
{
  public DjaSquare(String _texte)
  {
    super(_texte);
    setWidth(61);
  }

  public DjaSquare()
  {
    this(null);
  }

  public void setWidth(int _w)
  {
    super.setHeight(_w);
    super.setWidth(_w);
  }

  public void setHeight(int _h)
  {
    super.setWidth(_h);
    super.setHeight(_h);
  }
}
