/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         DjaUmlJoin.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.dja;

import com.memoire.fu.*;
import com.memoire.dnd.*;
import com.memoire.bu.*;
import com.memoire.dja.*;
import com.memoire.mst.*;


import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;
import javax.swing.border.*;

public class DjaUmlJoin
       extends DjaBox
{
  public DjaUmlJoin()
  {
    super();
    setBackground(getForeground());
  }

  public int getWidth()
  {
    return Math.max(4*getHeight()+1,super.getWidth());
  }

  public int getHeight()
  {
    return 5;
  }

  public DjaHandle[] getHandles()
  {
    int x=getX();
    int y=getY();
    int w=getWidth();

    DjaHandle[] r=new DjaHandle[1];
    r[0]=new DjaHandle(this,EAST,x+w-1+deltaX,y+3);

    return r;
  }
}
