/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         DndManageBackground.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.dnd;
import com.memoire.dnd.*;


import java.awt.*;
import javax.swing.*;

public class DndManageBackground
    implements DndManageData
{
    public final static DndManageBackground SINGLETON=
	new DndManageBackground();

    public boolean manage
	(Object _data,JComponent _component,Point _location)
    {
	_component.setOpaque(true);
	_component.setBackground((Color)_data);
	_component.repaint();
	return true;
    }
}
