/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         DndRequestObject.java
 * @version      0.36
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1998-2001 Guillaume Desnoix
 */

package com.memoire.dnd;
import com.memoire.dnd.*;


import java.awt.*;
import javax.swing.*;

public class DndRequestObject
    implements DndRequestData
{
    private Object[] data_;

    public DndRequestObject(Object _data)
    {
	this(new Object[] { _data });
    }

    public DndRequestObject(Object[] _data)
    {
	data_=_data;
    }

    public Object[] request(JComponent _component,Point _location)
    {
	return data_;
    }
}
