/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         FooBoolean.java
 * @version      0.08
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1999-2001 Guillaume Desnoix
 */

package com.memoire.foo;
import com.memoire.foo.*;

public class FooBoolean
{
  private static FooCategory pkg_=null;
  
  public final static FooCategory init()
  {
    if(pkg_==null)
    {
      pkg_=FooCategory.create(Boolean.class);
      pkg_.alias("&boolean");
    }

    return pkg_;
  }

  public static Boolean create(boolean _value)
  {
    return (_value ? Boolean.TRUE : Boolean.FALSE);
  }
}
