/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         FooComma.java
 * @version      0.08
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1999-2001 Guillaume Desnoix
 */

package com.memoire.foo;
import com.memoire.foo.*;

public class FooComma
       implements FooEval
{
  private Object value_;

  public FooComma(Object _value)
  {
    value_=_value;
  }

  // not public
  Object value()
  {
    return value_;
  }

  public Object eval()
  {
    return FooLib.eval(value_);
  }
  
  public String toString()
  {
    return ","+value_;
  }

  public String toSource()
  {
    return ","+FooLib.toSource(value_);
  }

  public int hashCode()
  {
    return 2+(value_!=null ? value_.hashCode() : 0);
  }

  public boolean equals(Object _o)
  {
    if(_o==this) return true;
    if(_o==null) return false;

    return
        (_o instanceof FooComma)
      &&FooObject.eqMsg(value(),((FooComma)_o).value()).booleanValue();
  }
}

