/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         FooNumber.java
 * @version      0.08
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1999-2001 Guillaume Desnoix
 */

package com.memoire.foo;
import com.memoire.foo.*;

public class FooNumber
{
  private static FooCategory pkg_=null;

  public final static FooCategory init()
  {
    if(pkg_==null)
    {
      pkg_=FooCategory.create(Number.class);

      pkg_.setMessage("abs"  ,Math.class,"abs(double)");
      pkg_.setMessage("acos" ,Math.class,"acos(double)");
      pkg_.setMessage("asin" ,Math.class,"asin(double)");
      pkg_.setMessage("atan" ,Math.class,"atan(double)");
      pkg_.setMessage("ceil" ,Math.class,"ceil(double)");
      pkg_.setMessage("cos"  ,Math.class,"cos(double)");
      pkg_.setMessage("exp"  ,Math.class,"exp(double)");
      pkg_.setMessage("floor",Math.class,"floor(double)");
      pkg_.setMessage("log"  ,Math.class,"log(double)");
      pkg_.setMessage("sin"  ,Math.class,"sin(double)");
      pkg_.setMessage("sqrt" ,Math.class,"sqrt(double)");
      pkg_.setMessage("tan"  ,Math.class,"tan(double)");
	    
      pkg_.setMessage("atan2",Math.class,"atan2(double,double)");
      pkg_.setMessage("max"  ,Math.class,"max(double,double)");
      pkg_.setMessage("min"  ,Math.class,"min(double,double)");
      pkg_.setMessage("pow"  ,Math.class,"pow(double,double)");
    }

    return pkg_;
  }
}
