/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         FooPrintStream.java
 * @version      0.08
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1999-2001 Guillaume Desnoix
 */

package com.memoire.foo;
import com.memoire.foo.*;

import java.io.*;

public class FooPrintStream
{
  private static FooCategory pkg_=null;

  public final static FooCategory init()
  {
    if(pkg_==null)
    {
      pkg_=FooCategory.create(PrintStream.class);

      pkg_.setMessage("<<",FooPrintStream.class,"write");
    }

    return pkg_;
  }

  public static PrintStream write(Object[] _o)
  {
    FooLib.checkClassArgument(PrintStream.class,_o[0],0);

    PrintStream out=(PrintStream)_o[0];
    _o[0]=" ";
    String s=FooString.join(_o);
    out.print(s);
    return out;
  }
}
