/**
 * @modification $Date: 2001/12/03 16:28:08 $
 * @statut       unstable
 * @file         FooURL.java
 * @version      0.08
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1999-2001 Guillaume Desnoix
 */

package com.memoire.foo;
import com.memoire.foo.*;

import java.net.*;
import java.io.*;

public class FooURL
{
  private static FooCategory pkg_=null;

  public final static FooCategory init()
  {
    if(pkg_==null)
    {
      pkg_=FooCategory.create(URL.class);

      pkg_.setMessage(">>",FooURL.class,"read");
    }
    
    return pkg_;
  }

    public static byte[] read(URL _url)
    {
      byte[] r=null;

      try
      {
	InputStream in=_url.openStream();
	ByteArrayOutputStream out=new ByteArrayOutputStream();
	while(in.available()>0) out.write(in.read());
	r=out.toByteArray();
      }
      catch(Exception ex)
      {
	throw new RuntimeException
	  (FooLib.getClassName(ex.getClass())+":"+ex.getMessage());
      }

      return r;
    }
}
