/**
 * @modification $Date: 2001/12/03 16:28:09 $
 * @statut       unstable
 * @file         YapodAvgQuery.java
 * @version      0.17
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.yapod;
import  com.memoire.yapod.*;


import java.util.*;

public class YapodAvgQuery
       extends YapodAbstractQuery
{
  public YapodAvgQuery
    (YapodQuery _previous)
  {
    super(_previous);
  }

  protected final Enumeration query(Enumeration e)
  {
    double sum=0.;
    int    nbr=0;

    while(e.hasMoreElements())
    {
      Object o=e.nextElement();
      if(o instanceof Number)
      {
	sum+=((Number)o).doubleValue();
	nbr++;
      }
    }

    Vector r=new Vector(1);
    if(nbr!=0) r.addElement(new Double(sum/nbr));
    return r.elements();
  }

  public String toString()
    { return "avg("+getPrevious()+")"; }
}
