/**
 * @modification $Date: 2001/12/03 16:28:09 $
 * @statut       unstable
 * @file         YapodCloneQuery.java
 * @version      0.17
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.yapod;
import  com.memoire.yapod.*;


import java.lang.reflect.*;
import java.util.*;

public class YapodCloneQuery
       extends YapodAbstractComputeQuery
{
  public YapodCloneQuery
    (YapodQuery _previous)
  {
    super(_previous);
  }

  protected Object compute(Object _o)
  {
    Object r=FAKE;
    try
    {
      Method m=_o.getClass().getMethod("clone",new Class[0]);
      r=m.invoke(_o,new Object[0]);
    }
    catch(Exception ex) { ex.printStackTrace(); }
    return r;
  }

  public String toString()
  {
    return "clone("+getPrevious()+")";
  }
}

