/**
 * @modification $Date: 2001/12/03 16:28:09 $
 * @statut       unstable
 * @file         YapodDeserializer.java
 * @version      0.17
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.yapod;
import  com.memoire.yapod.*;


import java.io.*;
import java.util.Hashtable;

public interface YapodDeserializer
{
  int BUFFER_SIZE=1048576; // 1Mb

  String extension();
  void   open (InputStream in) throws IOException;
  void   close() throws IOException;
  Object read () throws IOException, ClassNotFoundException;
  Object retrieve
    (String _id, Object dbcx_, Hashtable _ref, Hashtable _obj, Hashtable _nmo)
    throws Exception;
}
