/**
 * @modification $Date: 2001/12/03 16:28:09 $
 * @statut       unstable
 * @file         YapodDifferenceQuery.java
 * @version      0.17
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.yapod;
import  com.memoire.yapod.*;


import java.util.*;

public class YapodDifferenceQuery
       implements YapodQuery
{
  private YapodQuery q1_,q2_;

  public YapodDifferenceQuery
    (YapodQuery _q1, YapodQuery _q2)
  {
    q1_=_q1;
    q2_=_q2;
  }

  public Enumeration getResult()
  {
    Vector r=new Vector();
    for(Enumeration e=q1_.getResult(); e.hasMoreElements(); )
    {
      Object o=e.nextElement();
      r.addElement(o);
    }
    for(Enumeration e=q2_.getResult(); e.hasMoreElements(); )
    {
      Object o=e.nextElement();
      if(r.contains(o)) r.removeElement(o);
    }
    return r.elements();
  }

  public String toString()
    { return "difference("+q1_+","+q2_+")"; }
}
