/**
 * @modification $Date: 2001/12/03 16:28:09 $
 * @statut       unstable
 * @file         YapodSerSerializer.java
 * @version      0.17
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.yapod;
import  com.memoire.yapod.*;


import java.lang.reflect.*;
import java.io.*;
import java.util.*;

public class YapodSerSerializer
       implements YapodSerializer
{
  private ObjectOutputStream out_;

  public YapodSerSerializer()
  {
  }

  public String extension()
  {
    return "ser";
  }

  public synchronized void open(OutputStream _out)
       throws IOException
  {
    if(!(_out instanceof BufferedOutputStream))
      _out=new BufferedOutputStream(_out,BUFFER_SIZE);
    out_=new ObjectOutputStream(_out);
  }

  public synchronized void close()
       throws IOException
  {
    out_.close();
  }

  public synchronized void write(Object _o)
       throws IOException
  {
    out_.writeObject(_o);
  }

  public synchronized void store
  (Object _o, Object _dbcx, Hashtable _ref, Hashtable _obj)
  {
  }
}
