/**
 * @modification $Date: 2001/12/03 16:28:09 $
 * @statut       unstable
 * @file         YapodSgzSerializer.java
 * @version      0.17
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.yapod;

import  com.memoire.yapod.*;
import java.io.*;
import java.util.zip.*;

public class YapodSgzSerializer
       extends YapodSerSerializer
{
  public YapodSgzSerializer()
  {
  }

  public String extension()
  {
    return "sgz";
  }

  public String indente()
  {
    return "";
  }

  public synchronized void open(OutputStream _out) throws IOException
  {
    if(!(_out instanceof BufferedOutputStream))
      _out=new BufferedOutputStream(_out,BUFFER_SIZE);
    super.open(new GZIPOutputStream(_out));
  }
}
