/**
 * @modification $Date: 2001/12/03 16:28:09 $
 * @statut       unstable
 * @file         YapodStaticVectorQuery.java
 * @version      0.17
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.yapod;
import  com.memoire.yapod.*;


import java.util.*;

public class YapodStaticVectorQuery
       implements YapodQuery
{
  private Vector values_;

  public YapodStaticVectorQuery(Vector _values)
  {
    if(_values==null)
      throw new IllegalArgumentException("_values is null");

    values_=_values;
  }

  public final Enumeration getResult()
    { return values_.elements(); }

  public String toString()
    { return values_.toString(); }
}
