/**
 * @modification $Date: 2001/12/03 16:28:09 $
 * @statut       unstable
 * @file         YapodXgzDeserializer.java
 * @version      0.17
 * @author       Guillaume Desnoix
 * @email        guillaume@desnoix.com
 * @license      GNU General Public License 2 (GPL2)
 */

package com.memoire.yapod;
import  com.memoire.yapod.*;


import java.io.*;
import java.util.zip.*;

public class YapodXgzDeserializer
       extends YapodXmlDeserializer
{
  public YapodXgzDeserializer()
  {
  }

  public String extension()
  {
    return "xgz";
  }

  public String indente()
  {
    return "";
  }

  public synchronized void open(InputStream _in) throws IOException
  {
    if(!(_in instanceof BufferedInputStream))
      _in=new BufferedInputStream(_in,BUFFER_SIZE);
    super.open(new GZIPInputStream(_in));
  }
}
